Subject: [RFT PATCH] arm: collie_defconfig: convert to use libata PATA drivers

From: [email-masked] (Bartlomiej Zolnierkiewicz)
Date: Thu, 04 Feb 2016 15:15:19 +0100

Hi,

On Friday, August 14, 2015 08:25:45 PM Dmitry Eremin-Solenikov wrote:
> 2015-08-14 20:04 GMT+03:00 Bartlomiej Zolnierkiewicz <[email-masked]>:
> > IDE subsystem has been deprecated since 2009 and the majority
> > (if not all) of Linux distributions have switched to use
> > libata for ATA support exclusively.  However there are still
> > some users (mostly old or/and embedded non-x86 systems) that
> > have not converted from using IDE subsystem to libata PATA
> > drivers.  This doesn't seem to be good thing in the long-term
> > for Linux as while there is less and less PATA systems left
> > in use:
> >
> > * testing efforts are divided between two subsystems
> >
> > * having duplicate drivers for same hardware confuses users
> >
> > This patch converts collie_defconfig to use libata PATA
> > drivers.
> >
> > Cc: Dmitry Eremin-Solenikov <[email-masked]>
> > Signed-off-by: Bartlomiej Zolnierkiewicz <[email-masked]>
> 
> Acked-by: Dmitry Eremin-Solenikov <[email-masked]>

Thank you.

Arnd/Olof, could you please merge this patch?

Best regards,
--
Bartlomiej Zolnierkiewicz
Samsung R&D Institute Poland
Samsung Electronics